<?xml version='1.0' encoding='utf-8'?>
<odoo>
    <record id="docx_template_configuration_form" model="ir.ui.view">
        <field name="name">docx.template.form</field>
        <field name="model">docx.template</field>
        <field name="arch" type="xml">
            <form>
                <header>
                    <button name="action_publish" 
                            attrs="{'invisible': [('is_publish', '=', True)]}"
                            string="Publish" type="object" class='oe_highlight'/>
                    <button name="action_unpublish" 
                            attrs="{'invisible': [('is_publish', '=', False)]}"
                            string="Unpublish" type="object"/>
                </header> 
                <sheet>
                    <widget name="web_ribbon" title="Published" bg_color="bg-success" 
                        attrs="{'invisible': [('is_publish', '=', False)]}"/>
                    <group>
                        <group>
                            <field name="name"/>
                            <field name="format_output"/>
                            <field name="direct_print" attrs="{'invisible': [('format_output', '!=', 'pdf')]}"/>       
                            <field name="docx_template_data" filename="docx_template_name"/>
                            <field name="module"/>
                            <field name="docx_template_path"/>
                            <field name="lo_bin_path"/>                              
                        </group>
                        <group>
                            <field name="type"/>                        
                            <field name="model_id" 
                                attrs="{'invisible': [('type', '!=', 'report')], 'required':[('type', '=', 'report')]}"/>
                            <field name="print_report_name" 
                                attrs="{'invisible': [('type', '!=', 'report')], 'required':[('type', '=', 'report')]}"/>
                            <field name="use_header" attrs="{'invisible': [('type', '!=', 'report')]}"/>
                            <field name="header_id" 
                                domain="[('type', '=', 'header')]"
                                attrs="{'required': [('use_header', '=', True)], 
                                    'invisible': [('use_header', '=', False)]}"/>
                            <field name="merge_or_zip" attrs="{'invisible': [('type', '!=', 'report')], 'required':[('type', '=', 'report')]}"/>
                            <field name="docx_template_name" invisible="1"/>
                            <field name="is_publish" invisible="1"/>
                            <field name="id_for_button"/>                                                                                      
                        </group>
                    </group>
                </sheet>
            </form>
        </field>
    </record>

    <record id="docx_template_configuration_tree" model="ir.ui.view">
        <field name="name">docx.template.tree</field>
        <field name="model">docx.template</field>
        <field name="arch" type="xml">
            <tree>
                <field name="name"/>
                <field name="model_id"/>
                <field name="format_output"/>
                <field name="type"/>
                <field name="print_report_name"/>
            </tree>
        </field>
    </record>

    <record id="docx_template_configuration_view_search" model="ir.ui.view">
        <field name="name">docx.template.view.search</field>
        <field name="model">docx.template</field>
        <field name="arch" type="xml">
            <search string="">
                <field name="name"/>
                <field name="print_report_name"/>
                <filter string="Type" name="type_group" context="{'group_by':'type'}"/>
            </search>
        </field>
    </record>

    <record id="docx_template_configuration_action" model="ir.actions.act_window">
        <field name="name">Docx Template</field>
        <field name="res_model">docx.template</field>
        <field name="view_mode">tree,form</field>
    </record>

    <menuitem id="docx_config_menu" 
            name="Docx Template" 
            action="docx_template_configuration_action"
            parent="base.reporting_menuitem"/>
</odoo>
